Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.core.framework.parser
Class AnyElementState

    java.lang.Object
      org.eclipse.birt.core.framework.parser.AbstractParseState
          org.eclipse.birt.core.framework.parser.ParseState
              org.eclipse.birt.core.framework.parser.AnyElementState

    public class AnyElementState

extends ParseState

Parses any valid XML; handles unimplemented tags. Often used while a parser is under construction to parse and ignore tags that the parser does not yet handle.

Field Summary

Fields inherited from class org.eclipse.birt.core.framework.parser.ParseState
`handler`

Fields inherited from class org.eclipse.birt.core.framework.parser.AbstractParseState
`context, elementName, text`

Constructor Summary
`AnyElementState(XMLParserHandler theHandler)` Constructor.

Method Summary
`AbstractParseState` | `startElement(java.lang.String tagName)` Start a new tag.

Methods inherited from class org.eclipse.birt.core.framework.parser.ParseState
`getHandler`

Methods inherited from class org.eclipse.birt.core.framework.parser.AbstractParseState
`end, endElement, getAttrib, jumpTo, parseAttrs, setElementName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AnyElementState

    public AnyElementState(XMLParserHandler theHandler)

  Constructor.

  Parameters:
    `theHandler` - the SAX parser handler

Method Detail

### startElement

    public AbstractParseState startElement(java.lang.String tagName)

  Description copied from class: `AbstractParseState`
  Start a new tag. Derived classes override this to create a state to handle the element. Call this method to issue an error for, and ignore, any unrecognized tags.

  Overrides:
    `startElement` in class `AbstractParseState`
  Parameters:
    `tagName` - the name of the starting element
  Returns:
    the state to parse the given tag
  See Also:
    `DefaultHandler.startElement(java.lang.String, java.lang.String, java.lang.String, org.xml.sax.Attributes)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.